Package Details: minitube-aur 3.2-1

Git Clone URL: https://aur.archlinux.org/minitube-aur.git (read-only)
Package Base: minitube-aur
Description: A youtube client that does not need flash
Upstream URL: https://flavio.tordini.org/minitube
Licenses: GPL3
Conflicts: minitube
Submitter: DaveB
Maintainer: DaveB
Last Packager: DaveB
Votes: 20
Popularity: 0.285825
First Submitted: 2015-11-29 14:27
Last Updated: 2019-09-13 10:01

Latest Comments

1 2 3 Next › Last »

DaveB commented on 2019-04-04 06:25

Hey alicavus

Many thanks for the new PKGBUILD, I've updated it now and added you as a contributor.

Have to see why my updater isn't working for it!

Best, Dave

alicavus commented on 2019-04-04 06:02

Just change PKGBUILD as:

pkgname='minitube-aur' pkgver='3.0' pkgrel='1' pkgdesc='A youtube client that does not need flash' conflicts=('minitube') arch=('x86_64') url='https://flavio.tordini.org/minitube' license=('gpl3') install=${pkgname}.install depends=('phonon-qt5' 'qt5-declarative' 'mpv' 'hicolor-icon-theme') source=("https://flavio.tordini.org/files/minitube/minitube.deb") md5sums=('SKIP')

prepare() { cd "$srcdir" msg2 'Extracting data from debian package' bsdtar -xf data.tar.xz -C . }

package() { cd "$srcdir" msg2 "Packaging..." mv usr ${pkgdir/usr} }

Gist: https://gist.github.com/alicavus/b7e35885d5d745b0d8b708720da3ea15

I added mpv dependency, because prebuild minitube relies on libmpv, if we are not installed libmpv provider there will occur an error:error while loading shared libraries: libmpv.so.1: cannot open shared object file: No such file or directory

srand commented on 2017-05-14 13:41

Just a FYI: exporting GOOGLE_API_KEY the way avenita suggested might break features in other apps
(https://bugs.archlinux.org/task/44735#comment157459)

avenita commented on 2017-04-07 20:12

Hello.
this software requires 2 steps to work properly on Arch and im gonna explain why is that, it has nothing to do with the dev, actually.

the first is the Google API Key, which is now mandatory after the Youtube update to API v3 on 2015, the reason the developer doesnt includes it on the source code is obvious, this key has to be private, Youtube tracks usage with the API.
To add your own API its simple:

1-go to https://console.developers.google.com/apis/credentials and create an api key. (you need a google account, ie gmail account)

2- open the file /etc/profile.d/minitube.sh and add your api key by editing the line that says export GOOGLE_API_KEY="" (put the key between the "")

3- save and relog (that is, logoff and then login again, no need to restart)


The second issue is that now the application doesnt show the "Build without api key" but still doesnt play any video, and its because it uses VLC as the phonon backend. so go and install vlc (if you havent it already installed) and the package phonon-qt5-vlc.

the app now should work properly.

Appendix: while you can just use the build from the developer, is highly recommended that you use your own api key as it offload usage from the developer's api key.

also, phonon-qt5-vlc and vlc should be added to the dependencies, altough the software build without them it doesnt work without them .

DaveB commented on 2017-03-17 08:46

@acutbal Sorry, no – I only repackage the software given for Arch, I'm not involved in product development.

acutbal commented on 2017-03-13 16:22

Hello,

I can't use Minitube-AUR because it lacks a Googe API key, this messages pops up when I search a video:

http://imgur.com/ysv5JUr

Could it be possible to fix it?

Thank you very much!! :D

DaveB commented on 2017-02-11 20:02

Hey IKRadulov, sorry, looks like only 64-bit minitube is supported – both downloads still work from the package file, but both are 64 bit and identical. You will still be able to compile it from source:

https://github.com/flaviotordini/minitube

Anonymous comment on 2017-02-11 10:30

Is version 2.6 still build under x86 ? Couse when I installed it gives me an error while installing :
"strip:./usr/bin/minitube: File format not recognized"
and when run :
from zsh :
zsh: exec format error: minitube
from bash :
bash: /usr/bin/minitube: cannot execute binary file: Exec format error

DaveB commented on 2017-02-02 09:43

Hey acutbal, it was a dependency problem – should work ok now. Many thanks for the heads up! Best, Dave

acutbal commented on 2017-02-02 08:55

Hi!!

After the last update Minitube crashes:

[albert@HPG62 ~]$ minitube
minitube: error while loading shared libraries: libQt5Qml.so.5: cannot open shared object file: No such file or directory

According to this a fix has launched:
http://flavio.tordini.org/minitube-2-6

Thank you in advance and best regards!!